org.apache.mina.api

## Interface IoClient

All Known Implementing Classes:
  AbstractIoClient, AbstractTcpClient, AbstractUdpClient, AbstractUdpServer, BioUdpServer, NioTcpClient, NioUdpClient, NioUdpServer

    public interface IoClient

Connects to several end-points, communicates with the server, and fires events to `org.apache.mina.service.IoHandler`s.

Author:
  Apache MINA Project

### Method Summary

Methods
`IoFuture<IoSession>` `connect(SocketAddress remoteAddress)` Connects to the specified remote address.

### Method Detail

#### connect

    IoFuture<IoSession> connect(SocketAddress remoteAddress)

Connects to the specified remote address.

Parameters:
  `remoteAddress` - Remote `SocketAddress` to connect
Returns:
  the `IoFuture` instance which is completed when the connection attempt initiated by this call succeeds or fails.